Package org.apache.commons.lang3

## Class ThreadUtils.ThreadIdPredicate

- java.lang.Object
- - org.apache.commons.lang3.ThreadUtils.ThreadIdPredicate

All Implemented Interfaces:
  `ThreadUtils.ThreadPredicate`

Enclosing class:
  ThreadUtils

    public static class ThreadUtils.ThreadIdPredicate
    extends java.lang.Object
    implements ThreadUtils.ThreadPredicate

A predicate implementation which matches a thread id.

### Constructor Summary

Constructors
`ThreadIdPredicate​(long threadId)` Predicate constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `test​(java.lang.Thread thread)` Evaluates this predicate on the given thread.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ThreadIdPredicate

    public ThreadIdPredicate​(long threadId)

Predicate constructor

Parameters:
  `threadId` - the threadId to match
Throws:
  `java.lang.IllegalArgumentException` - if the threadId is zero or negative

### Method Detail

#### test

    public boolean test​(java.lang.Thread thread)

Description copied from interface: `ThreadUtils.ThreadPredicate`
Evaluates this predicate on the given thread.

Specified by:
  `test` in interface `ThreadUtils.ThreadPredicate`
Parameters:
  `thread` - the thread
Returns:
  `true` if the thread matches the predicate, otherwise `false`